Bug 1335906 - supervisord not start after reboot
Summary: supervisord not start after reboot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Calamari
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 2.0
Assignee: Christina Meno
QA Contact: Harish NV Rao
URL:
Whiteboard:
Depends On:
Blocks: 1343229
TreeView+ depends on / blocked
 
Reported: 2016-05-13 14:05 UTC by Lubos Trilety
Modified: 2016-08-23 19:38 UTC (History)
4 users (show)

Fixed In Version: calamari-server-1.4.1-1.el7cp
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 19:38:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1755 0 normal SHIPPED_LIVE Red Hat Ceph Storage 2.0 bug fix and enhancement update 2016-08-23 23:23:52 UTC

Description Lubos Trilety 2016-05-13 14:05:59 UTC
Description of problem:
On monitor machine installed using ceph installer, the supervisord service is not started when monitor is rebooted.

Version-Release number of selected component (if applicable):
supervisor-3.0-2.el7cp.noarch

How reproducible:
100%

Steps to Reproduce:
1. Reboot monitor machine
2. Check if supervisord.service is running


Actual results:
# systemctl status supervisord.service
● supervisord.service - Process Monitoring and Control Daemon
   Loaded: loaded (/usr/lib/systemd/system/supervisord.service; disabled; vendor preset: disabled)
   Active: inactive (dead)

May 13 15:41:13 <hostname> systemd[1]: [/usr/lib/systemd/system/supervisord.service:8] Support for option SysVStartPriority= has been removed and it is ignored

With any other check a new line is appended to output telling 'Support for option SysVStartPriority= has been removed and it is ignored'


Expected results:
the supervisord service is running.

Additional info:

Comment 1 Christina Meno 2016-05-19 16:54:03 UTC
code for this exists in 1.3. I'll prepare a branch for it.

Comment 2 Ken Dreyer (Red Hat) 2016-05-24 21:57:30 UTC
Confirmed this is still an issue with the latest calamari build (calamari-server-1.4.0-0.10.rc13.el7cp)

Comment 4 Harish NV Rao 2016-06-22 07:41:32 UTC
Issue resolved. Moving to verified state.

[cephuser@magna055 ~]$ sudo systemctl status supervisord.service
● supervisord.service - Process Monitoring and Control Daemon
   Loaded: loaded (/usr/lib/systemd/system/supervisord.service; enabled; vendor preset: disabled)
   Active: active (running) since Tue 2016-06-21 14:32:06 UTC; 17h ago
 Main PID: 28215 (supervisord)
   CGroup: /system.slice/supervisord.service
           ├─20015 /opt/calamari/venv/bin/python /opt/calamari/venv/bin/calamari-lite
           └─28215 /usr/bin/python /usr/bin/supervisord

Jun 21 14:37:18 magna055 systemd[1]: [/usr/lib/systemd/system/supervisord.service:8] Support for option SysVStartPriority= has been removed and it is ignored
Jun 21 14:37:18 magna055 systemd[1]: [/usr/lib/systemd/system/supervisord.service:8] Support for option SysVStartPriority= has been removed and it is ignored
Jun 21 14:37:43 magna055 systemd[1]: [/usr/lib/systemd/system/supervisord.service:8] Support for option SysVStartPriority= has been removed and it is ignored
Jun 21 14:37:58 magna055 systemd[1]: [/usr/lib/systemd/system/supervisord.service:8] Support for option SysVStartPriority= has been removed and it is ignored
Jun 21 14:40:48 magna055 systemd[1]: [/usr/lib/systemd/system/supervisord.service:8] Support for option SysVStartPriority= has been removed and it is ignored
Jun 21 14:40:49 magna055 systemd[1]: [/usr/lib/systemd/system/supervisord.service:8] Support for option SysVStartPriority= has been removed and it is ignored
Jun 21 14:41:02 magna055 systemd[1]: [/usr/lib/systemd/system/supervisord.service:8] Support for option SysVStartPriority= has been removed and it is ignored
Jun 21 14:41:20 magna055 systemd[1]: [/usr/lib/systemd/system/supervisord.service:8] Support for option SysVStartPriority= has been removed and it is ignored
Jun 21 14:41:23 magna055 systemd[1]: [/usr/lib/systemd/system/supervisord.service:8] Support for option SysVStartPriority= has been removed and it is ignored
Jun 21 14:41:23 magna055 systemd[1]: Started Process Monitoring and Control Daemon.


[cephuser@magna055 ~]$ sudo reboot
Connection to magna055 closed by remote host.
Connection to magna055 closed.


hnallurv@magna002:~$ ./m1
Warning: Permanently added 'magna055,10.8.128.55' (ECDSA) to the list of known hosts.
cephuser@magna055's password: 
Last login: Wed Jun 22 07:25:43 2016 from magna002.ceph.redhat.com
[cephuser@magna055 ~]$  sudo systemctl status supervisord.service
● supervisord.service - Process Monitoring and Control Daemon
   Loaded: loaded (/usr/lib/systemd/system/supervisord.service; enabled; vendor preset: disabled)
   Active: active (running) since Wed 2016-06-22 07:34:59 UTC; 1min 15s ago
  Process: 1370 ExecStart=/usr/bin/supervisord (code=exited, status=0/SUCCESS)
 Main PID: 2610 (supervisord)
   CGroup: /system.slice/supervisord.service
           ├─2610 /usr/bin/python /usr/bin/supervisord
           └─2664 /opt/calamari/venv/bin/python /opt/calamari/venv/bin/calamari-lite

Jun 22 07:34:56 magna055 systemd[1]: Starting Process Monitoring and Control Daemon...
Jun 22 07:34:58 magna055 supervisord[1370]: /usr/lib/python2.7/site-packages/supervisor/options.py:295: UserWarning: Supervisord is running as root and it is searching for its configuration file in default lo...
Jun 22 07:34:58 magna055 supervisord[1370]: 'Supervisord is running as root and it is searching '
Jun 22 07:34:59 magna055 systemd[1]: Started Process Monitoring and Control Daemon.
Hint: Some lines were ellipsized, use -l to show in full.


[cephuser@magna055 ~]$ sudo rpm -qa| grep supervi
supervisor-3.0-2.el7cp.noarch
[cephuser@magna055 ~]$ sudo rpm -qa| grep calama
calamari-server-1.4.2-1.el7cp.x86_64
[cephuser@magna055 ~]$ sudo ceph -v
ceph version 10.2.2-5.el7cp (49c93ac9dceaa9318129ece8b0f45a3968d9c981)
[cephuser@magna055 ~]$ date
Wed Jun 22 07:39:22 UTC 2016
[cephuser@magna055 ~]$

Comment 6 errata-xmlrpc 2016-08-23 19:38:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1755.html


Note You need to log in before you can comment on or make changes to this bug.